﻿/* ==========================================================================
   HTML5 Boilerplate styles - h5bp.com (generated via initializr.com)
   ========================================================================== */

html,
button,
input,
select,
textarea {
    color: #222;
}


body {
    background-color: #fff;
    border-top: solid 10px #000;
    color: #333;
    font-family: 'Open Sans', "Segoe UI", Verdana, Helvetica, Sans-Serif;
    margin: 0;
}

body.main-layout {
    padding-left: 8px;
}

a img {
    border: none;
}

::-moz-selection {
    background: #b3d4fc;
    text-shadow: none;
}

::selection {
    background: #b3d4fc;
    text-shadow: none;
}

hr {
    display: block;
    height: 1px;
    border: 0;
    border-top: 1px solid #ccc;
    margin: 1em 0;
    padding: 0;
}

img {
    vertical-align: middle;
}

fieldset {
    border: 0;
    margin: 0;
    padding: 0;
}

textarea {
    resize: vertical;
}

.chromeframe {
    margin: 0.2em 0;
    background: #ccc;
    color: #000;
    padding: 0.2em 0;
}


/* ==========================================================================
   Author's custom styles
   ========================================================================== */

html,
body,
#body,
footer {
    background-color: #fdfbf8;
    /* background-color: #fff; */
}

body {
    border-top: 15px solid #22198E;
}

p {
    font-size: 13px;
}

a:link,
a:visited,
a:active,
a:hover {
    color: #333333;
}

.banner.above {
    display: none;
    padding: 5px 0 10px 0;
}

.banner.above img {
    max-width: 100%;
}

@media only screen and (max-width: 640px) {
    .banner.above {
        display: block;
    }
    .banner.beside {
        display: none;
    }
}

.title-row {
    display: table;
    width: 100%;
}

.title-row>div {
    display: table-cell;
    height: 80px;
    width: 50%;
    vertical-align: top;
    max-height: 80px;
}

.title-row .titles {
    min-width: 230px;
}


.site-title,
.site-title a {
    font-family: 'Open Sans', "Segoe UI", Verdana, Helvetica, Sans-Serif;
    color: #22198E;
    font-size: 40px;
    font-weight: lighter;
    word-spacing: -0.18em;
    line-height: 1.2em;
    margin: 0;
    text-decoration: none;
    text-transform: lowercase;
}

.site-title a:hover {
    text-shadow: 0 0 0.1em #c9c5f5
}

.site-title .o {
    color: rgba(0, 0, 0, 0);
    background: url('/images/pumpkin.png') no-repeat -1px 20px;
}

.site-subtitle {
    margin: 3px 0 0 2px;
    font-size: 12px;
}

.new-feature {
    float: left;
    margin-left: 50px;
    margin-top: 10px;
}

span.new {
    color: #8e2219;
}

.new-feature p {
    font-size: 12px;
}

#body,
header,
footer {
    width: 960px;
    margin: 0 auto;
}

#body {
    min-height: 580px;
}

header {
    margin: 10px auto 10px auto;
}


footer {
    font-size: 0.8em;
}

footer img {
    margin: 0 0 0 2px;
}

.main-content {
    background: none;
    margin-top: 15px;
}

h1,
h2,
h3 {
    color: #333;
}

h1 {
    margin-top: 20px;
    font-size: 17px;
}

h2 {
    font-size: 15px;
}

.intro h1 {
    font-size: 14px;
    font-weight: normal;
    margin: 10px 0 3px 0;
}

.intro h2 {
    font-size: 13px;
    font-weight: normal;
    margin: 0;
}

table {
    border: 0 none;
    border-collapse: collapse;
    border-spacing: 0;
    margin-top: 0.75em;
}

td {
    border: 0 none;
    padding: 3px 20px 3px 0;
}

th {
    border: 0 none;
    font-size: 1.2em;
    padding-left: 0;
    text-align: left;
}

#sales-table {
    width: 600px;
}

#sales-table td {
    font-size: 12px;
    overflow: hidden;
    white-space: nowrap;
}

#sales-table tr {
    overflow: hidden;
}

#sales-table td.date {
    width: 65px;
}

#sales-table td.price {
    width: 65px;
}

#sales-table th.price {
    text-align: right;
    padding-right: 24px;
}

tr.type-B {
    background-color: #FFFFF0;
}

td.rise {
    color: #2e7d32;
    font-weight: bold;
}

td.fall {
    color: #c62828;
    font-weight: bold;
}

td.nom-rise {
    /* color: #e65100; */
    color: #ff8f00;
    font-weight: bold;
}

#sales-table-wrap {
    width: 980px;
}

#sales-table-bounds {
    width: 580px;
    overflow: hidden;
}

#sales-table {
    overflow: hidden;
}

#sales-table td:nth-child(2) {
    text-align: right;
}

#sales-table th {
    font-size: 14px;
}

#sales-table td {
    vertical-align: top;
}

#sales-table td a {
    padding: 0;
    text-decoration: none;
}

#sales-table a.details {
    text-decoration: underline;
    font-weight: bold;
    display: none;
}

@media only screen and (max-width: 640px) {
    /* fix google "clickable elements too close together" */

    #sales-table td {
        line-height: 1.7em;
    }

    #sales-table td a {
        margin-left: 1px;
    }
}


#sales-table tr:not(.head).hover td {
    background-color: #fff;
}


#sales-table tr.type-B:not(.head).hover td {
    background-color: #ffffe8;
}

#details td.type-B span {
    background-color: #ffffe8;
}

#sales-table td a:hover {
    text-decoration: underline;
    background-color: inherit;
}

#results-wrap {
    min-height: 610px;
}

.mapping #sales-table {
    width: auto;
}

.mapping #sales-table th {
    font-size: 11px;
}

.mapping #sales-table td {
    font-size: 11px;
}

.mapping #sales-table td {
    padding-right: 10px;
}

.mapping #sales-table td.date {
    width: 40px;
}

.mapping #sales-table td.price {
    width: 40px;
}

.mapping #sales-table th.price {
    padding-right: 10px;
}


input,
textarea {
    background: none repeat scroll 0 0 #FFFFFF;
    border: 1px solid #E2E2E2;
    color: #333333;
    margin: 5px 0 6px;
    padding: 7px 5px 6px 5px;
    width: 300px;
    font-size: 16px;
    font-weight: lighter;
}

input:focus,
textarea:focus {
    border: 1px solid #7AC0DA;
}

input[type="submit"],
input[type="button"],
button {
    background-color: #D3DCE0;
    border: 1px solid #787878;
    cursor: pointer;
    font-size: 16px;
    font-weight: 600;
    margin-right: 8px;
    width: auto;
}

input[type=submit],
button.like-submit {
    font-family: 'Open Sans', "Segoe UI", Verdana, Helvetica, Sans-Serif;
    color: White;
    background-color: #22198E;
    border: 0;
    padding: 4px;
    margin-left: 5px;
    font-weight: lighter;
    -webkit-appearance: none;
    /* http://stackoverflow.com/questions/5438567/css-submit-button-weird-rendering-on-ipad-iphone */
}

.pc.hover {
    text-decoration: underline;
}

.pag {
    margin: 10px 0 0 0;
    font-size: 12px;
}

.pag span,
.pag a {
    padding: 0 3px;
}

.pag span {
    font-weight: bold;
}


#sales-table-content,
#details {
    float: left;
}

#details {
    width: 350px;
    background-color: #fff;
    margin-top: 32px;
    min-height: 432px;
    display: none;
    padding: 0px 10px 0px 20px;
}

#details a {
    text-decoration: none;
}

#details a:hover {
    text-decoration: underline;
}

#details a.em {
    text-decoration: underline;
}

#details .tab a:hover {
    text-decoration: underline;
}


#details .main td,
#details .main th {
    vertical-align: top;
    font-size: 12px;
    line-height: 18px;
    padding: 0 10px 5px 0px;
}

#details .main th {
    padding-right: 20px;
}

#details .sales {
    margin-top: 0px;
}

#details .sales td,
#details .sales th {
    font-size: 12px;
}

#details .sales td {
    width: 70px;
}

#details .sales td.date {
    width: 80px;
}

#details .sales th {
    vertical-align: bottom;
}

#details h3 {
    font-size: 13px;
    margin-bottom: 0px;
}


#details ul.notes {
    list-style-type: none;
    font-size: 11px;
    margin: 10px 0 0 0;
    padding: 0;
}

#details ul.notes li {
    margin: 0;
}

#details .sheet a {
    font-size: 10px;
    color: #22198E;
}

.maps .links {
    display: block;
}

.maps {
    margin-top: 10px;
}

.maps .map {
    float: left;
    margin-right: 10px;
}

#tabbed-maps {
    display: none;
}

#tabbed-maps .tabs {
    font-size: 11px;
    width: 320px;
}

#tabbed-maps .gmap>div:nth-child(2) {
    display: none;
}

.hmap>div>div:nth-child(2) {
    display: none;
}

.tabs {
    padding: 4px 0;
    margin: 0 0 3px 0;
    border-bottom: 1px solid #778;
}

.tabs li {
    list-style: none;
    margin: 0;
    display: inline;
}

.tabs li a {
    padding: 3px 1.4em;
    margin-left: 10px;
    margin-right: -5px;

    border: 1px solid #778;
    border-bottom: none;
    background: #f6f6f6;
    text-decoration: none;
}

.tabs .tab.active a {
    background: white;
    border-bottom: 1px solid white;
}

#page-faq li {
    font-size: 13px;
}

/* contact form */

#page-contact form div label {
    display: inline-block;
    vertical-align: top;
    width: 150px;
    margin-top: 5px;
}

#page-contact input.submit {
    margin-left: 155px;
}

tr .inline-icon {
    padding-bottom: 3px;
}

/* ads */

.ad1 .small {
    display: none;
}

.gad1 {
    border: 10px Red;
    width: 100%;
}

/* details modal */

.modal {
    max-width: 100%;
}

.modal #details {
    margin-top: 0;
}

/* media queries */

@media only screen and (max-width: 640px) {
    #sales-table .date a.details {
        display: inline-block;
    }

    #details-inline {
        display: none;
    }

    #details-modal {
        padding: 5px;
    }
}

@media only screen and (min-width: 640px) and (max-width: 959px) {
    #sales-table .address a.details {
        display: inline-block;
    }

    #details-inline {
        display: none;
    }
}

@media only screen and (max-width: 959px) {

    p,
    .site-subtitle,
    .intro h1,
    #sales-table td,
    .new-feature p,
    .pag,
    #details .main td,
    #details .main th,
    #details h3,
    #details .sales td,
    #details .sales th,
    #details .tabs,
    #details .sheet .links a {
        font-size: 16px;
    }

    #body,
    header,
    footer {
        width: 98%;
        margin-left: 2px;
    }

    .new-feature {
        display: none;
    }

    #sales-table {
        width: auto;
    }

    #sales-table td {
        white-space: normal;
    }

    #details {
        width: auto;
    }

    .site-title,
    .site-title a {
        font-size: 30px;
    }

    #sales-table-bounds {
        width: auto;
    }

    #details .sales td,
    #details .sales td.date {
        width: auto;
    }

    #details th br,
    #details td br {
        display: none;
        overflow: auto;
    }

    #details .sales th {
        padding-right: 10px;
    }

    #tabs-maps .links {
        margin-top: 8px;
    }

    .ad1 .large {
        display: none;
    }

    .ad1 .small {
        display: block;
    }
}

#tabs-maps #map1,
#tabs-maps #map2 {
    width: 150px;
    height: 150px;
}

@media only screen and (max-width: 640px) {
    #details {
        padding: 5px;
        max-width: 100%;
    }

    #details .main td,
    #details .main th,
    #details .sales td,
    #details .sales th,
    #details h3 {
        font-size: 14px;
    }

    #tabs-maps #map1,
    #tabs-maps #map2 {
        max-width: 35vw;
        max-height: 35vw;
    }
}

@media only screen and (max-width: 959px) {
    #details {
        padding: 5px;
        max-width: 100%;
    }

    #details .main td,
    #details .main th,
    #details .sales td,
    #details .sales th,
    #details h3 {
        font-size: 14px;
    }

    #tabs-maps #map1,
    #tabs-maps #map2 {
        max-width: 35vw;
        max-height: 35vw;
    }

    #tabbed-maps-placeholder {
        min-height: 230px;
        max-width: 99%;
        overflow: hidden;
    }
}

/* lab */

#lab h1 a,
#lab h2 a {
    text-decoration: none;
}

#lab h3 {
    font-size: 14px;
}

#lab .experiment {
    background-color: #fff;
    border: 1px solid #eee;
    padding: 10px 30px;
    margin-top: 20px;
}

#lab ul.three-d-features {
    margin-top: 20px;
    margin-bottom: 50px;
}

#lab ul.three-d-features li {
    font-size: 14px;
    margin-top: 10px;
}

#lab .youtube-video {
    margin-top: 40px;
    margin-bottom: 30px;
    text-align: center;
}

/* google ads */

.google-revocation-link-placeholder {
    display: none !important;
}

/* ==========================================================================
   *Mapping *Maps
   ========================================================================== */
html.map {
    height: 100%;
}

html.map body {
    height: 100%;
    border: none;
}

.mapping {
    display: table;
    width: 100%;
    height: 100%;
}

.mapping .map-cell {
    display: table-cell;
    width: 100%;
    height: 85%;
    /* ie10 scrolling issue */
    border-bottom: 1px solid #999999;
}

#map-canvas {
    height: 100%;
}

.mapping .control {
    display: table-row;
    height: 75px;
}

.mapping .control-inner {
    display: table;
    width: 100%;
    height: 100%;
}

.mapping .control .year-slider {
    display: table-cell;
    padding: 0 80px 0 20px;
    vertical-align: middle;
}

.mapping .control .info {
    display: table-cell;
    width: 200px;
    vertical-align: middle;
    text-align: center;
}

.mapping .info .message {
    color: #8e2219;
    display: none;
}

.mapping .control .slider {
    width: 100%;
    height: 100%;
}

.mapping .site-title,
.mapping .site-title a {
    font-size: 16px;
    line-height: 1em;
    margin-bottom: 4px;
}

.slider>.dragger {
    border: 1px solid #22198E;
    background: none;
    background-color: #FDFBF8;
    width: 60px;
    height: 24px;
    box-shadow: 1px;
    border-radius: 4px;
    text-align: center;
    color: #22198E;
    font-size: 14px;
    line-height: 22px;
    font-weight: bold;
}

.slider>.dragger:hover {
    background: #ffffff;
}

.slider>.track {
    background: none;
}

.lidar-mapping {
    display: flex;
    flex-direction: column;
}

.lidar-mapping .bulk {
    flex-grow: 1;
    overflow: hidden;
    display: flex;
}

.lidar-mapping .lidar-map {
    flex-grow: 1;
}

.lidar-mapping #three-container {
    width: 100%;
    height: 100%;
}

.lidar-mapping .foot {
    padding: 8px 16px;
    background-color: #ffffff;
    display: flex;
    flex-direction: row;
    vertical-align: middle;
}

.lidar-mapping .foot>div {
    display: flex;
    flex-direction: column;
    justify-content: center;
}

.lidar-mapping .map-info {
    flex-grow: 1;
}

.lidar-mapping .site-info {
    text-align: center;
    padding-left: 20px;
}

.lidar-mapping .site-title {
    white-space: nowrap;
}

.lidar-mapping .site-title .lab-link {
    margin-left: 5px;
}

.lidar-mapping .about .source {
    margin-right: 5px;
}

.lidar-map {
    text-align: center;
}

.geo-info-pop {
    line-height: 1.7em;
}

.geo-info-pop img {
    margin: 0 3px;
}

.lidar-mapping a.social {
    margin: 0 2px;
}

.lidar-map-finder {
    display: inline-block;
    width: 140px;
    padding: 1px 2px;
    margin: 10px 0 0 0;
    font-weight: normal;
    font-size: 9pt;
}

/*@media only screen and (max-width: 767px) {
         .mapping .control .year-slider {
            width: 60%;
        }

        .mapping .control .info {
            width: 40%;
        }

        .mapping .info .message p {
            font-size: 11px;
        }

    }

    @media only screen and (max-height: 650px) {
        .mapping #map {
            height: 80%;
        }

        .mapping .control {
            height: 20%;
        }

    }*/

/* ==========================================================================
   Media Queries
   ========================================================================== */

@media only screen and (min-width: 35em) {}

@media print,
(-o-min-device-pixel-ratio: 5/4),
(-webkit-min-device-pixel-ratio: 1.25),
(min-resolution: 120dpi) {}

/* ==========================================================================
   Helper classes
   ========================================================================== */

.ir {
    background-color: transparent;
    border: 0;
    overflow: hidden;
    *text-indent: -9999px;
}

.ir:before {
    content: "";
    display: block;
    width: 0;
    height: 150%;
}

.hidden {
    display: none !important;
    visibility: hidden;
}

.visuallyhidden {
    border: 0;
    clip: rect(0 0 0 0);
    height: 1px;
    margin: -1px;
    overflow: hidden;
    padding: 0;
    position: absolute;
    width: 1px;
}

.visuallyhidden.focusable:active,
.visuallyhidden.focusable:focus {
    clip: auto;
    height: auto;
    margin: 0;
    overflow: visible;
    position: static;
    width: auto;
}

.invisible {
    visibility: hidden;
}

.clearfix:before,
.clearfix:after {
    content: " ";
    display: table;
}

.clearfix:after {
    clear: both;
}

.clearfix {
    *zoom: 1;
}

/* ==========================================================================
   Print styles
   ========================================================================== */

@media print {
    * {
        background: transparent !important;
        color: #000 !important;
        /* Black prints faster: h5bp.com/s */
        box-shadow: none !important;
        text-shadow: none !important;
    }

    a,
    a:visited {
        text-decoration: underline;
    }

    a[href]:after {
        content: " (" attr(href) ")";
    }

    abbr[title]:after {
        content: " (" attr(title) ")";
    }

    /*
     * Don't show links for images, or javascript/internal links
     */

    .ir a:after,
    a[href^="javascript:"]:after,
    a[href^="#"]:after {
        content: "";
    }

    pre,
    blockquote {
        border: 1px solid #999;
        page-break-inside: avoid;
    }

    thead {
        display: table-header-group;
        /* h5bp.com/t */
    }

    tr,
    img {
        page-break-inside: avoid;
    }

    img {
        max-width: 100% !important;
    }

    @page {
        margin: 0.5cm;
    }

    p,
    h2,
    h3 {
        orphans: 3;
        widows: 3;
    }

    h2,
    h3 {
        page-break-after: avoid;
    }
}